Skip to main content
PATCH
https://{tenantDomain}/api/v2
/
clients
/
{client_id}
/
credentials
/
{credential_id}
Go
package example

import (
    client "github.com/auth0/go-auth0/management/client"
    option "github.com/auth0/go-auth0/management/option"
    context "context"
    clients "github.com/auth0/go-auth0/management/clients"
)

func do() () {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    client.Clients.Credentials.Update(
        context.TODO(),
        "client_id",
        "credential_id",
        &clients.PatchClientCredentialRequestContent{},
    )
}
{
  "id": "cred_1m7sfABoNTTKYwTQ8qt6tX",
  "name": "",
  "kid": "IZSSTECp...",
  "alg": "RS256",
  "credential_type": "public_key",
  "subject_dn": "<string>",
  "thumbprint_sha256": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "expires_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

client_id
string
required

ID of the client.

credential_id
string
required

ID of the credential.

Body

expires_at
string<date-time> | null

The ISO 8601 formatted date representing the expiration of the credential.

Response

Credential successfully updated.

id
string
default:cred_1m7sfABoNTTKYwTQ8qt6tX

ID of the credential. Generated on creation.

name
string
default:""

The name given to the credential by the user.

kid
string
default:IZSSTECp...

The key identifier of the credential, generated on creation.

alg
enum<string>
default:RS256

Algorithm which will be used with the credential. Supported algorithms: RS256,RS384,PS256

Available options:
RS256,
RS384,
PS256
credential_type
enum<string>

The type of credential.

Available options:
public_key,
cert_subject_dn,
x509_cert
subject_dn
string

The X509 certificate's Subject Distinguished Name

thumbprint_sha256
string

The X509 certificate's SHA256 thumbprint

created_at
string<date-time>

The ISO 8601 formatted date the credential was created.

updated_at
string<date-time>

The ISO 8601 formatted date the credential was updated.

expires_at
string<date-time>

The ISO 8601 formatted date representing the expiration of the credential.